<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
class Partner
{
	//=================================================================
	// Partner listen
	//=================================================================
	function getPartners()
	{
		$partners = array();
		$sql = $GLOBALS['db']->Query("SELECT Id,PartnerUrl,PartnerName,Bild FROM " . PREFIX . "_partner WHERE Aktiv='1' AND Sektion='" . AREA . "' ORDER BY Position ASC");
		while($row = $sql->fetchrow())
		{
			$row->Bild = (is_file(BASE_DIR . '/uploads/partner/' . $row->Bild)) ? 'uploads/partner/' . $row->Bild : '';
			array_push($partners, $row);
		}
		
		$GLOBALS['tmpl']->assign('small_partners', $partners);
		$out = $GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/partners/partner_small.tpl');
		return $out;
	}
	
	//=================================================================
	// Hitcount erhoehen
	//=================================================================
	function Updatehitcount($id)
	{
		// Nur erhoehen, wenn Click von gleicher Seite
		if(strpos(@$_SERVER['HTTP_REFERER'], HOME_PATH)!==false)
		{
			$GLOBALS['db']->Query("UPDATE " . PREFIX . "_partner Set Hits=Hits+1 WHERE Aktiv='1' AND Id='" . abs((int)$id) . "'");
		}
	}
}
?>